Skip to main content
GET
/
merkle
/
verify
/
{evidenceId}
/
{fileId}
Public: get blockchain and TSA proof for a file
curl --request GET \
  --url https://api.timelockdata.com/api/v1/merkle/verify/{evidenceId}/{fileId}
{
  "status": "<string>",
  "fileId": "<string>",
  "evidenceId": "<string>",
  "txId": "<string>",
  "blockNumber": 123,
  "eventTimestamp": "<string>",
  "merkle": {},
  "tsa": {},
  "error": "<string>"
}
No authentication required. Public endpoint to verify a specific file’s blockchain proof and TSA timestamp. Requires both the evidence’s external ID and the file UUID.

Path Parameters

evidenceId
string
required

External Evidence ID

fileId
string
required

File UUID

Response

200 - application/json

File proof information

status
string
required

Response status

fileId
string

File ID

evidenceId
string

Evidence ID (external Evidence ID)

txId
string

Blockchain transaction ID of the file

blockNumber
number

Block number

eventTimestamp
string

Event timestamp

merkle
object

Merkle proof info (if batched)

tsa
object

TSA proof info (if sealed)

error
string

Error message